Apple iTunes '.pls' File Buffer Overflow Vulnerability

Bugtraq ID: 36478
Class: Boundary Condition Error
CVE: CVE-2009-2817
Remote: Yes
Local: No
Published: Sep 22 2009 12:00AM
Updated: Feb 17 2010 08:32PM
Credit: Roger Hart of IP3, and Steven Woolley at Oogli LLC
Vulnerable: eSignal eSignal 6.0.2
Apple iTunes 9.0
Apple iTunes 7.3.2
Apple iTunes 7.3.1
Apple iTunes 7.3
Apple iTunes 7.0.2
Apple iTunes 6.0.5
Apple iTunes 6.0.4
Apple iTunes 6.0.3
Apple iTunes 6.0.1
Apple iTunes 6.0
Apple iTunes 5.0
Apple iTunes 4.8
Apple iTunes 4.7.1
Apple iTunes 4.7
Apple iTunes 4.6
Apple iTunes 4.5
Apple iTunes 4.2 .72
Apple iTunes 8.2
Apple iTunes 8.1
Apple iTunes 8.0
Apple iTunes 7.4
Not Vulnerable: Apple iTunes 9.0.1


 

Privacy Statement
Copyright 2010, SecurityFocus